%define date    0
%define rel	1
%if %date
%define release %mkrel -c %{date} %{rel}
%define srcversion %{version}-%{date}
%else
%define release %mkrel %{rel}
%define srcversion %{version}
%endif

Summary: 	Enlightenment photo manager
Name: 		ephoto
Version: 	1.6.0
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://www.enlightenment.org

Source:		%name-%{srcversion}.tar.xz


BuildRequires:  meson
BuildRequires:  ninja
BuildRequires:  gettext-devel
BuildRequires:	pkgconfig(eina)
BuildRequires:  efl
BuildRequires:	gettext-devel
BuildRequires:	subversion

Requires: efl

%description
Ephoto is an image viewer and editor written using the Enlightenment
Foundation Libraries (EFL) which offer it speed and a small footprint.
This package is part of the Enlightenment desktop shell.


%prep

%setup -qn %{name}-%{srcversion}


%build
%meson
%meson_build

%install
%meson_install

find %buildroot -name *.la -delete
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING README TODO
%{_bindir}/*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%name.desktop
%{_iconsdir}/%name.png


%changelog
* Sat Apr 09 2022 eatdirt <eatdirt> 1.6.0-1.mga9
+ Revision: 1848270
- Upgrade to version 1.6.0

* Sun Apr 03 2022 umeabot <umeabot> 1.5-9.mga9
+ Revision: 1841937
- Mageia 9 Mass Rebuild

* Wed Oct 14 2020 eatdirt <eatdirt> 1.5-8.mga8
+ Revision: 1635865
- Rebuild for new efl

* Wed May 20 2020 eatdirt <eatdirt> 1.5-7.mga8
+ Revision: 1586393
- Rebuild for new efl

* Sat Feb 15 2020 umeabot <umeabot> 1.5-6.mga8
+ Revision: 1525426
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Apr 17 2019 eatdirt <eatdirt> 1.5-5.mga7
+ Revision: 1391958
- Rebuild for new efl

* Thu Sep 20 2018 eatdirt <eatdirt> 1.5-4.mga7
+ Revision: 1284195
- Rebuild for new efl

* Thu Mar 15 2018 eatdirt <eatdirt> 1.5-3.mga7
+ Revision: 1209679
- Rebuild for new efl

* Tue Nov 28 2017 eatdirt <eatdirt> 1.5-2.mga7
+ Revision: 1180157
- Rebuild for new efl

* Sat Oct 07 2017 eatdirt <eatdirt> 1.5-1.mga7
+ Revision: 1169909
- Upgrade to version 1.5

* Thu May 25 2017 eatdirt <eatdirt> 1.0-3.mga6
+ Revision: 1104541
- Rebuild for new efl

* Tue May 02 2017 eatdirt <eatdirt> 1.0-2.mga6
+ Revision: 1098742
- Rebuild for new efl

* Tue May 02 2017 eatdirt <eatdirt> 1.0-1.mga6
+ Revision: 1098620
- Upgrade to stable version 1.0

* Mon Apr 10 2017 eatdirt <eatdirt> 1.0-0.beta3.1.mga6
+ Revision: 1096248
- Upgrade to version 1.0-beta3

* Mon Jan 23 2017 eatdirt <eatdirt> 1.0-0.beta2.2.mga6
+ Revision: 1083139
- Rebuild for new efl

* Tue Nov 29 2016 eatdirt <eatdirt> 1.0-0.beta2.1.mga6
+ Revision: 1070988
- Upgrading to version 1.0-beta2

* Tue Nov 29 2016 eatdirt <eatdirt> 0.1.1-0.20140508.6.mga6
+ Revision: 1070950
- Rebuild for new efl

* Sun Feb 14 2016 umeabot <umeabot> 0.1.1-0.20140508.5.mga6
+ Revision: 960032
- Mageia 6 Mass Rebuild

* Tue Oct 27 2015 daviddavid <daviddavid> 0.1.1-0.20140508.4.mga6
+ Revision: 895758
- remove empty lang files to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-0.20140508.3.mga5
+ Revision: 743174
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-0.20140508.2.mga5
+ Revision: 679019
- Mageia 5 Mass Rebuild

* Thu May 08 2014 trem <trem> 0.1.1-0.20140508.1.mga5
+ Revision: 621226
- bump to version 20140508

* Sat Oct 19 2013 umeabot <umeabot> 0.1.1-0.r81625.5.mga4
+ Revision: 523486
- Mageia 4 Mass Rebuild

* Tue May 07 2013 trem <trem> 0.1.1-0.r81625.4.mga3
+ Revision: 412580
- increase release to rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.1.1-0.r81625.3.mga3
+ Revision: 349702
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 sander85 <sander85> 0.1.1-0.r81625.2.mga3
+ Revision: 344686
- Fix build with automake 1.13

* Sat Dec 22 2012 trem <trem> 0.1.1-0.r81625.1.mga3
+ Revision: 334036
- update to release 81625

* Sat Dec 15 2012 trem <trem> 0.1.1-0.r80969.1.mga3
+ Revision: 331127
- update to release 80969

* Sat Dec 08 2012 trem <trem> 0.1.1-0.r80477.1.mga3
+ Revision: 328268
- update to release 80477

* Sat Nov 24 2012 trem <trem> 0.1.1-0.r79568.1.mga3
+ Revision: 321606
- set a valid rpm group
- update to release 79568

* Sat Sep 22 2012 trem <trem> 0.1.1-0.r76819.1.mga3
+ Revision: 296654
- update to release 76819

* Sun Sep 16 2012 trem <trem> 0.1.1-0.r76435.1.mga3
+ Revision: 294526
- add buildrequire eweather
- update to release 76435
- update to release 75400

* Sun Aug 19 2012 trem <trem> 0.1.1-0.r75421.1.mga3
+ Revision: 282076
- update to r75421

* Sun Mar 11 2012 trem <trem> 0.1.1-0.r69188.1.mga2
+ Revision: 222713
- update to release 69188

* Sat Mar 10 2012 trem <trem> 0.1.1-0.r69165.1.mga2
+ Revision: 222449
- update to release 69165

* Sun Mar 04 2012 trem <trem> 0.1.1-0.r68658.1.mga2
+ Revision: 218025
- update to release 68658

* Sat Mar 03 2012 trem <trem> 0.1.1-0.r68649.1.mga2
+ Revision: 217577
- update to release 68649

* Sun Feb 26 2012 trem <trem> 0.1.1-0.r68450.1.mga2
+ Revision: 215243
- update to release 68450

* Sat Feb 25 2012 trem <trem> 0.1.1-0.r68434.1.mga2
+ Revision: 214454
- update to release 68434

* Fri Feb 24 2012 trem <trem> 0.1.1-0.r68363.1.mga2
+ Revision: 214003
- update to release 68363
- add subversion as buildrequires
- update to release 68228

* Sun Feb 19 2012 trem <trem> 0.1.1-0.r68120.1.mga2
+ Revision: 210822
- update to release 68120

* Sat Feb 18 2012 trem <trem> 0.1.1-0.r68102.1.mga2
+ Revision: 210270
- update to release 68102

* Sat Feb 11 2012 trem <trem> 0.1.1-0.r67851.1.mga2
+ Revision: 207573
- update to release 67851

* Sat Feb 11 2012 trem <trem> 0.1.1-0.r67846.1.mga2
+ Revision: 207286
- update to release 67846

* Fri Feb 10 2012 trem <trem> 0.1.1-0.r67830.1.mga2
+ Revision: 206995
- update to release 67830

* Tue Feb 07 2012 trem <trem> 0.1.1-0.r67715.1.mga2
+ Revision: 206027
- update to release 67715
- update to release 67703
- update to release 67702
- update to release 67698
- update to release 67688
- update to release 67680
- update to release 65867
- update to release 65688
- update to release 65613
- update to release 65428

* Sat Nov 05 2011 trem <trem> 0.1.1-0.r64766.1.mga2
+ Revision: 163830
- add elementary as BuildRequires
- update to release r64766
+ ennael <ennael>
- imported package ephoto

